CREATEREPO(8)

NOM
createrepo - Créer un dépôt repomd (de méta-données rpm basées sur xml)

SYNOPSIS
createrepo [options] <répertoire>

DESCRIPTION
createrepo est un programme qui permet de créer un dépôt repomd (de méta-données rpm basées sur xml) à partir d'un ensemble de paquetages rpm.

OPTIONS

-u --baseurl <url>
    URL optionelle de base pour tous les fichiers (n'est pas utilisée par les clients).

-o --outputdir <url>
    Répertoire optionel de sortie (utile pour les media en lecture seule).

-x --exclude <paquetage>
    Modèles de fichiers à exclure, peut être utilisée plusieurs fois.

-i --pkglist <nom_fichier>
    Spécifier un fichier texte contenant la liste complète des fichiers à inclure dans le dépôt à partir de l'ensemble trouvé dans le répertoire. Le format du fichier est un paquetage par ligne, sans utiliser de caractères de remplacement ni de modèles de nom de fichiers.

-q --quiet
    Mode silencieux.

-g --groupfile <fichier_groupe>
    Un fichier xml déjà créé qui pointe vers les informations de groupe.
    Voir la section EXEMPLE pour plus d'explication.

-v --verbose
    Mode volubile.

-c --cachedir <chemin>
    Spécifier un répertoire à utiliser comme cache. Cela permet à createrepo de créer un cache pour les sommes de contrôle des paquetages dans le dépôt. Lors des exécutions successives de createrepo sur le même dépôt de fichiers qui n'a pas subi beaucoup de modifications, cela décroît de manière importante le temps de traitement.

--update
    Si les méta-données existent déjà dans le répertoire de sortie et qu'un rpm n'a pas été modifié (la vérification se fait sur la taille du fichier et sur date de modification « mtime ») depuis la dernière génération des méta-données, réutiliser les métadonnées existantes plutôt que de les recalculer. Dans le cas d'un dépôt relativement important avec peu de nouveaux fichiers rpm ou fichiers modifiés, cela réduit de manière significative les entrées/sorties et le temps de traitement.

-C --checkts
    Ne pas générer les méta-données du dépot si leurs horodatages sont plus récents que ceux des rpms. Cette option décroît aussi drastiquement le temps de traitement s'il vous arrive de le lancer sur un dépôt non modifié mais elle est (pour le moment) mutuellement exclusive avec l'option --split.

--split
    Exécuter en mode media « découpés ». Plutôt que de passer un seul répertoire, prend un ensemble de répertoires correspondant à différents volumes d'un ensemble de media.

-p --pretty
    Produire des fichiers xml dans un joli format.

-V --version
    Afficher le numéro de version.

-h --help
    Afficher l'aide.

-d --database
    Créer les bases de données utilisables avec yum.

EXEMPLE
Voici un exemple de dépôt avec un fichier de groupe. Notez que ce fichier doit être dans le même répertoire que les paquetages rpm (c'est-à-dire /chemin/vers/rpms/comps.xml).

createrepo -g comps.xml /chemin/vers/rpms

FICHIERS
repodata/filelists.xml.gz
repodata/other.xml.gz
repodata/primary.xml.gz
repodata/repomd.xml

AUTEUR
Seth Vidal <skvidal@phy.duke.edu>

BOGUES
Si vous découvrez un bogue, merci de le signaler (en anglais) sur la liste de diffusion : rpm-metadata@linux.duke.edu

VOIR AUSSI
yum(8), yum.conf(5)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 22 juin 2006 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 createrepo ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.